Subject: bug#68884: 30.0.50; error in process filter: pixel-fill-region: The indentation (947) is wider than the fill width (919)

From: Eli Zaretskii <[email-masked]>
Date: Fri, 02 Feb 2024 09:30:57 +0200

unarchive 67791
reopen 67791
merge 68884 67791
thanks

> From: No Wayman <[email-masked]>
> Date: Fri, 02 Feb 2024 01:36:10 -0500
> 
> 
> I've been seeing the following error when mu4e attempts to render 
> views:
> 
> error in process filter: pixel-fill-region: The indentation (947) 
> is wider than the fill width (919)
> 
> I reported it upstream to mu4e's maintainer who referred me here 
> due to the fact that mu4e uses gnus to render email.
> However, I am unable to reproduce by using gnus alone to view the 
> same messages.
> The error only occurs when the Emacs frame is <= one half the 
> width of my laptop's 1920x1080 monitor.
> The error does not occur on Emacs 29.2.
> Git bisect points to the following commit:
> 
> 33b6de7acec0536290939303855947c0c2af57d2 is the first bad commit
> commit 33b6de7acec0536290939303855947c0c2af57d2
> Author: Eli Zaretskii <[email-masked]>
> Date:   Sun Dec 3 18:29:09 2023 +0200
> 
>     Improve 'window-text-pixel-size' when buffer includes images

I believe this is a duplicate of bug#67791, so I'm merging them (and
reopening 67791).  FTR, the bug is in pixel-fill-region, not in the
above commit (which just exposed the bug in pixel-fill-region).

The discussion of bug#67791 includes a workaround and my suggestion
for a better solution.  Can you try those and see if they solve this
problem?